Release V 5.01.5 (Build 2024.10.08.2118):
- In the program settings, the "APRS" tab has again been revised. The field labels have been changed
  to make it clear that it is also possible to enter APRS coordinates directly in DMS format. However,
  APRS coordinates can still be entered in DDD(DG) format.The previously displayed conversion examples
  for converting DMS coordinates to DDD(DG) coordinates have been removed because they were apparently
  not read by many users anyway. Instead, a note regarding the program-internal automatic conversion
  has been added.
- Bugfix for the programme-internal automatic conversion of DMS coordinates into the DDD(DG) format.
  In the case of the direction specification "W", the corresponding degree value was generated without
  leading zeros. This bug has now been recognised and corrected.
- Data area of the APRS message completely revised.


Release V 5.01.4 (Build 2024.10.01.1946):
- Settings regarding DNS Cache changed.
- More connect retries on "connection reset by peer".
- EOS and IOException detection in MITM classes improved. 
- In the program settings, the "DTMF decoder" parameter has been moved from the "Audio-IN" tab 
  to the "Radio" tab.
- In the program settings, the "APRS" tab has been completely revised and a new available APRS
  Server "aprs.auf-der-nachtschicht.de, TCP Port 14580" has been added.
- The event log message for the "RX start" event has been revised.


Release V 5.01.3 (Build 2024.06.19.2048):
- Adaptation for newer Java runtime environments 16 and 22:
  Due to an unfortunately not yet fixed bug in JDK 16 and JDK 22, there was an IllegalAccessError
  exception when calling the SwingUtilities2.getFontMetrics function. 
  This had the strange effect that not all window tabs could be selected in the programme settings,
  because an exception was thrown for the window tabs on which the GUI component classes TTCheckBoxUI
  and TTRadioButtonUI were used. These GUI component classes were implemented in Release V 5.01.2
  for the purpose that the field labels, if they are too long in their country-specific translation
  and cannot be displayed completely, can be displayed in full length in a tooltip window.
  The call to getFontMetrics has now been implemented differently as a workaround for the JDK bug,
  thus solving the problem. FRN users who use my Java FRN client software in the Java runtime
  environment 16 or newer are strongly recommended to use this update!
  But regardless of this, the recommendation still applies, which can also be read on my homepage,
  that it is better to use the latest version of the Java 8 runtime environment.
- Some GUI themes have been revised again with regard to the selection background colour of table rows.
  And the setting of the selection background colour for the table column in which the FRN text message
  is displayed has been deliberately deactivated, because otherwise any hyperlinks contained in the
  text message would not be clearly visible.
- The table display for the FRN text messages has been improved with regard to the automatic resize
  of the row height depending on the FRN text message content.


Release V 5.01.2 (Build 2024.04.21.1448):
- Layout of the PTT Lock checkbox revised (checkbox label was cut off in some themes / font sizes).
- PTT button enlarged, font enlarged and in red bold font to make PTT button more visible.
- To ensure that the field contents are displayed correctly even if the font size is increased in the
  programme settings, some input fields have been slightly enlarged.
- The value range of the font size deviation has been reduced and now only ranges from -1 to +1.
  Because font size increases of +2 did not fit everywhere in the input fields (descenders of lower
  case letters were partially cut off).
- Layout of the FRN message table display revised.
- All field labels, checkbox labels, radiobutton labels whose text display must be shortened if the
  translated text is too long (see ellipsis "..." at the end of the label) now show the full text in
  a tooltip window if required.
- Handling and visualisation of unrecoverable audio errors revised.
- Handling and visualisation of server connect exceptions revised.
- DynamicPasswordMode of the integrated FRNClientConsole changed from "yes" to "soft".


Release V 5.01.1 (Build 2024.04.12.1258):
- Further measures to prevent the rarely occurring display refresh problems of the TX/RX status line.
- An additional theme called "Black" has been added to the selection of themes.
- In the programme settings under Miscellaneous you can set the option that the programme automatically
  connects to the last connected FRN server after starting the programme. This automatic connection
  now takes place with a slight delay (5s) because under certain circumstances (restart of the computer
  with autostart of the FRN client programme) the sound card was not yet available.


Release V 5.01.0 (Build 2024.04.02.1418):
- The Traffic-LEDs are now switched off by default. If you are interested in seeing the programme's
  network traffic, you can switch the Traffic-LEDs back on in the programme settings using the
  checkbox field that was introduced in V 5.00.9. However, switching on the traffic LEDs can
  rarely and under certain circumstances lead to refresh problems in the TX/RX status field.
- The handling of various internal timers (timerSpeakingDuration, timerReceivingDuration, ...) has
  been revised. This is also a precautionary measure to prevent possible anomalies when refreshing
  the TX/RX status line.


Release V 5.00.9 (Build 2024.03.30.1442):
- In the programme settings under Miscellaneous there is now an additional checkbox field called
  "Traffic LEDs" with which you can switch the display of the network traffic LEDs on/off.


Release V 5.00.8 (Build 2024.03.11.1142):
- Minor change in the ArcDark theme: At the suggestion of a user, the font colours of the
  table and tree displays have been made brighter.
- Minor bug fix regarding the initialisation of the different data models of the various table
  representations.
- Precautions against the effect that in rare cases the TX/RX status line display was not
  refreshed correctly.


Release V 5.00.7 (Build 2024.03.07.1536):
- At the request of a FRN user, all table column headers are now left-aligned in all themes.
- In the programme settings next to the field for selecting the theme, you can now also set a
  deviation of the global font size if required. Value range from -2 to +2 (Default value: 0).


Release V 5.00.6 (Build 2024.03.06.1258):
- Further minor visual corrections in the various Look&Feel themes.
- Text translations for the Greek language revised. Many thanks to [SV0XAL, Antonis] for his immense
  effort to revise the file messages_el.properties for better support of the Greek language!


Release V 5.00.5 (Build 2024.03.05.1646):
- Other small modifications in the various Look&Feel themes (among other things, the background
  colour of the pop-up menu was adjusted in the "Nord" theme).
- The default Look&Feel theme has been changed from "ArcDark" to "Nord".
- Some selection list controls (ComboBoxes) now contain separators where it makes sense.
- Time announcements in Finnish have been added. Many thanks to [BERTTA, Mika] for creating the
  sound files!
- If supported by the FRN server software, an optional comment can be entered when muting/blocking
  FRN clients. When the dialogue for entering the optional comment is displayed, the standard
  dimension (height/width) of dialogue windows is first determined and then the width is set to 500
  pixels so that the dialogue window is wide enough for entering a longer comment. After closing the
  dialogue box, the standard dimension for dialogue boxes is restored.
  However, under certain unfavourable circumstances (depending on the selected Look&Feel theme and
  the given system requirements), the GUI system may not return any data on the standard dimension
  of dialogue windows. This unexpected situation - because normally this data can always be retrieved -
  then leads to an exception error (NullPointer Exception). On the user interface, this can be seen
  in the way that nothing seems to happen when muting/blocking an FRN client - the dialogue window
  in question does not appear and the action is not executed. This possible case, which unfortunately
  cannot be avoided, is now suitably intercepted by the programme.
- In the event of a SocketTimeout in AudioLevelSocketReader or the unrecoverable audio errors reported
   by the FRNClientConsole, which starts with the character strings "HW_START_CAPT", "HW_STOP_CAPT",
  "HW_START_PLAY", "HW_STOP_PLAY", "Pa_ReadStream", "Pa_WriteStream", "Pa_StopStream" or
  "No any available" an automatic reconnect is now performed.


Release V 5.00.4 (Build 2024.03.03.1426):
- Bugfix regarding scaling of the new icons in Mute-/Block-/Admin- and AccessList.
- Further improvements regarding the Look&Feel of the various themes.
- Name of the themes changed (more precise) and another theme "Nord" added.


Release V 5.00.3 (Build 2024.03.01.1736):
- All icons (for PC, GW, CL in their various modes and statuses) have been revised again.
- Rollback of the temporary patch of FRNClientConsole.Win32 back to FRNClientConsole.Win32.r7312.exe
- Bugfix regarding the initialisation of image resources (icon png) at program start. It is therefore
  recommended to update existing programme installations of version 5.xx.x to this programme version!


Release V 5.00.2 (Build 2024.02.29.1748):
- All icons now have a transparent background (previously white).
- In addition to the "Dark" and "Light" Look&Feels, you can now also select another new Look&Feel
  called "Nimbus". And if you don't like any of the three new Look&Feels, you can also select the
  old "Standard" Look&Feel if necessary.
- Further visual customisations in the various Look&Feels


Release V 5.00.1 (Build 2024.02.27.1256):
- Minor visual corrections in the new Look&Feel (Dark Theme).
- New FRNClientConsole for MS Windows platforms (FRNClientConsole.Win32.r7582.exe).
  This contains a patch regarding HDMI audio devices of certain computer screens, which not only
  switch the screen to dark in energy-saving mode but unfortunately also switch off the audio device.


Release V 5.00.0 (Build 2024.02.26.2046):
- Completely new Look&Feel of the user interface! (The extensive changes are not yet complete ...)
- In the programme settings on the "Miscellaneous" tab, you can now choose between two different
  themes: "Dark" and "Light".
- *** Please note when updating existing installations ***
  The following files with function libraries have been added to this new version of the
  Java FRN_Client programme:
  * flatlaf-3.4-windows-x86.dll
  * flatlaf-3.4-windows-x86_64.dll
  * flatlaf-3.4-linux-x86_64.so


Release V 4.12.4 (Build 2024.02.23.1402):
- The current development version V 4.12.3 (Build 2024.02.21.1514) is now the basis for this new
  stable version.
- The APRS server address in the programme settings is now a selection box because the regular
  CBARPS Server (cbaprs.de) is currently offline. This allows the interim alternative CBAPRS
  Server (cbaprs.dyndns.org) to be set.
- SocketTimeouts and Exception Logging in SimpleAPRSClient revised.


Release V 4.12.3 (Build 2024.02.21.1514):
- MitmFromClientToServer Class: Substitution of voice packets in QRT/QRL modes with regard to the
  end sequence (RX0, STx) of voice transmission completed.
- AudioLevelSocketReader Class completely revised.


Release V 4.12.2 (Build 2024.02.18.1642):
- The SocketTimeout in AudioLevelSocketReader has been increased from 2000ms to 4000ms.
- An automatic reconnect is now performed in the event of a SocketTimeout in AudioLevelSocketReader
  or the following unrecoverable audio errors reported by the FRNClientConsole:
  "HW_START_CAPT: timeout", "HW_STOP_CAPT: timeout",
  "HW_START_PLAY: timeout", "HW_STOP_PLAY: timeout" or "Pa_ReadStream"
- In the event of connection errors such as "Incorrect access data or password" or "Account is
  blocked", only 3 connection attempts will be made from now on and the reconnection loop will
  be cancelled!


Release V 4.12.1 (Build 2024.01.11.1546):
- Time announcements in Italian have been added. Many thanks to Antonio de Feo for creating the
  sound files.
- The "Check Sample Rates" buttons have always been available on the "Audio IN" and "Audio OUT"
  tabs in the programme settings. But now, pressing these button not only displays the available
  sample rates of the selected sound card, but also the audio speed config of the sound system
  (capture and playback device).


Release V 4.12.0 (Build 2023.12.02.1506):
- Integration of the official recent FRNClientConsole r7312 including the necessary source code
  adjustments.
  * FRNClientConsole.Win32.r7312.exe
  * FRNClientConsole.Linux-armhf.r7312
  * FRNClientConsole.Linux-armv7.r7312
  * FRNClientConsole.Linux-i386.r7312
  * FRNClientConsole.Linux-amd64.r7312
  * FRNClientConsole.Linux-aarch64.r7312
  * FRNClientConsole.FreeBSD-i386.r7312
  * FRNClientConsole.FreeBSD-amd64.r7312
- The default configuration files frnconsole-default.cfg.[win|unix] have been changed to consider
  newly added parameters.
- The configuration file client.properties has been changed to consider changes in variants of the
  parameter "subprocess_impl"
- The number of clients that are currently connected to the FRN server room is now displayed to the
  right of the connect status line.


Release V 4.11.2 (Build 2023.11.20.1752):
- Logging further cleaned up.
- The debug logging of the ACL lists in their XML representation is now deactivated by default!
- A new menu item named "Restore default sort order" has been added to the context menu of the
  mute-/block-/admin- and access-list. This menu item is used to restore the default sort order after
  re-sorting the list by clicking on a column header.
- Bugfix regarding mute and block comments: The check whether the server offers this feature did not
  work properly in certain constellations.


Release V 4.11.1 (Build 2023.11.16.1158):
- One of the changes in Release V 4.11.0 unfortunately had a negative side effect on the PTT hotkey
  feature. The PTT hotkey always stopped working after receiving another FRN client station. This
  anomaly has now been discovered and fixed.


Release V 4.11.0 (Build 2023.11.15.1520):
- Network traffic indicators for server and client side.
  LightBlue = PingPong packets
  Red       = Voice packets
  Green     = various data packets
- Minor changes in logging.
- Optimisations regarding temporary StringBuffer.
- If the user explicitly disconnects while still redirected to the backup server, the server address,
  port and network fields are reset to the main server context.
- When switching to QRT during an ongoing voice transmission of another FRN client, it appeared as
  if its voice transmission had ended at the same moment. This display error has now been corrected.
- In the programme settings on the "Authorization Data" tab, the mandatory fields are now marked with
  an "*". The City and CityPart fields are now also mandatory fields! If the mandatory fields are not
  filled in, no connection to the FRN can be established.
- In the programme settings on the "Audio IN" and "Audio OUT" tabs, the parameter fields relating to
  the "Audio Gain Control" feature are now grouped together on a separate panel. And the sliders for
  "Level" and "Max Gain" are only activated if AGC is selected. This is to prevent users from
  mistakenly using the sliders as controls for microphone sensitivity or speaker volume. With the
  Java FRN_Client, the microphone sensitivity and loudspeaker volume must always be set using the
  operating system's on-board tools!
- As well known, the client list can be reordered by clicking on the column header. The table display
  is then reorganised according to the content in the clicked column. The table displays relating
  to Mute/Block/Admin and Access lists can now be re-sorted in the same way. This is particularly
  useful for finding certain entries in these lists if the lists are longer. However, the selected
  sorting is not saved and only applies for the running time of the programme.


Release V 4.10.2 (Build 2023.10.18.1228):
- Source code adaptations for the integration of the latest version of the third-party function
  library for the detection of global keyboard events.
  NOTE: If you had already defined a PTT keyboard key with a previous programme version,
  you must define it again once!
- In the table display of the event messages, the server context (server address and server
  network/room) is now also displayed. This is useful because the table display of the event
  messages is not deleted when the server or server network/room is changed and thus the context
  information of the event messages is also retained.


Release V 4.10.1 (Build 2023.10.17.2022):
- Improvement of the Key Event Listener to trigger the PTT via a keyboard key (better support of
  this functionality even if the FRN Client window is not in the foreground or minimised).


Release V 4.10.0 (Build 2023.09.20.1132):
- The functions Mute and Block now also offer the option of saving a timestamp and a comment.
  However, this is only supported if the Java FRN_Client is connected to a Java FRN Server from
  Release V 4.6.0!
- In the table display of the FRN text messages, the server context (server address and server
  network/room) is now also displayed. This is useful because the table display of the FRN messages
  is not deleted when the server or server network/room is changed and thus the context information
  of the FRN text messages is also retained.


Release V 4.9.8 (Build 2023.09.05.1426):
- Sometimes the rarely occurring effect occurred that the display of the FRN monitor list was
  suddenly empty although the associated FRN SystemManagerServer was online.
  To eliminate this effect, the following changes were made:
  * DNS cache TTL is now set to 180 seconds.
  * Better detection of unexpected EOS (EndOfStream) events when receiving the FRN monitor list.
  * In the case of temporary SocketTimeoutExceptions or IOExceptions, the display is now no longer
    cleared, but a note about the broken connection is displayed at the end of the line of the tree
    root (=title line of the FRN system) using "-x-".
- The "FRN System Info" introduced in Release 4.9.7 has also been improved:
  * Execution with SwingUtilities.invokeLater, in order not to block the GUI of the FRN_Client in
    case of possibly longer execution time.
  * Better detection of unexpected EOS (EndOfStream) events when receiving data.
  * No popup display when SocketTimeoutExceptions or IOExceptions occur.
- The logging has been slightly revised in some parts of the program.


Release V 4.9.7 (Build 2023.07.22.1518):
- In the context menu that appears when you right-click on the FRN monitor view, there is now an
  additional menu item called "FRN System Info". This menu item is only active if the Alternative
  FRN system (DE) is selected in the programme settings. Clicking on "FRN System Info" displays
  additional data on the running FRN system DE.
- If you switch to the programme settings tab, the main tab is now also deactivated. You can only
  switch back to the main tab by saving the change in the settings or by clicking on "Cancel".
- In the programme settings, the context-dependent enabling/disabling of certain parameter fields
  on the "Radio" tab has been revised again. It worked when switching the radio button for 
  PC Only/Gateway/Crosslink, but not when accessing the "Radio" tab for the first time. This
  inconsistency has now been resolved.
- The display duration of the InfoMessageDialogue has been increased from 5 to 15 seconds.
- A missing ":" between server address and server port has been added in the connect status line
  message regarding the check whether the main server is back online. This message is displayed
  periodically while connected to the backup server.


Release V 4.9.6 (Build 2023.05.07.1434):
- Certain Linux systems do not offer the so-called SystemTray function on their desktop.
  This led to a programme error with programme termination. This error situation is now recognised
  and handled appropriately.


Release V 4.9.5 (Build 2023.04.14.1446):
- Integration of a newer xStream library and source code adjustments in this regard.
  Purpose: Better support of OpenJDK as an alternative to Oracle Java Runtime.
- Before sending an FRN password request, the FRN identification fields are now stripped of any
  spaces at the beginning and end of the character string and the input format of the e-mail
  address is checked.
- The SystemManagerServer address is now hidden in the programme settings and in the FRN montor
  display. Instead, only a plain text name of the respective FRN system is displayed in the
  national language, provided that a translation is available for the national language concerned,
  otherwise the plain text name of the FRN system is displayed in English.


Release V 4.9.4 (Build 2023.02.04.1632):
- Important *BugFix*: In the previous programme version, the EventHandling was changed for some 
  RadioButtons (using ItemListener vs. ActionListener). As a side effect, a display error occurred
  when the programme settings were called up again: In connection with the setting of the client
  type (PC Only/Gateway/Crosslink), incorrect values were displayed in the dependent parameter
  fields. The respective RadioButton was selected correctly due to the previously saved selection,
  but the dependent parameter fields displayed the default values instead of the previously set
  parameter values. Because the program-controlled selection of the radio button corresponding to
  the saved selection had triggered the same program actions that  happen when the user clicks on
  a RadioButton: the dependent parameter fields were reset to the default values. This was only a
  display error, because the previously saved settings were not directly affected by this side
  effect, but this bug has now been fixed.
- The FRN Client SysTrayIcon refresh has been revised and corrected.


Release V 4.9.3 (Build 2023.01.30.1246):
- The procedures in the onSubProcessErrorMessage and onServerConnectorException methods have been
  revised.
- The StdoutParser has been extended with regard to parsing and processing further stdout lines
  of the current FRNClientConsole.
- During reconnect attempts of the integrated FRNClientConsole, the reconnect loop can now be
  better interrupted by clicking on "Disconnect". Previously this was made difficult by the
  so-called "GlassPane" during the uninterrupted hourglass display.
- The display of the status line in the case of "TX Discard" has been corrected.
- The refreshing of the window frame on which the PTT button and the QRT/QRL/QRV radio buttons are
  located has been improved (it was wrong / asynchronous in certain constellations).


Release V 4.9.2 (Build 2022.09.19.2134):
- The error message that appears if the access data is incorrect has been changed. Previously,
  always "wrong password" was displayed. However, it may also concern an error (a discrepancy)
  in the operator name (callsign+name).
- Redundant sending of ST requests is now prevented.
- The server selection list can now be deleted via the context menu. As is well known, this list
  is rebuilt dynamically.
- Minor improvements in the administration of the server's access list. 
  If the client itself is affected by a change and a temporary forced disconnection of the server
  occurs in order to reconnect the client, the programme automatically switches from the settings
  tab to the main tab of the FRN client window.
- The InfoMessageDialog will now close automatically after 5 seconds.
- In file client.properties a variant of the subprocess_impl parameter values has been corrected.
  (Linux-arch --> Linux-aarch64)


Release V 4.9.1 (Build 2022.07.24.1422):
- I had not actually thought that this was necessary, but because apparently some users have
  problems setting the desired language of the user interface in the programme settings, the
  language is now set automatically the first time the programme is started. Of course, this only
  affects those languages for which a translation of the display texts is available.


Release V 4.9.0 (Build 2022.07.16.0104):
- The following has been changed in the programme settings on the "Radio" tab:
  * The default values of the Carrier Timer parameters are now set depending on the selected 
    operating mode (PC_ONLY, GATEWAY or CROSSLINK).
  * The activation/deactivation of the radio has been revised parameter fields depending on the
    selected operating mode.
  * A button called "Reset" has been added to reset the values of the carrier timer parameters
    to values suitable for the selected operating mode.
- In the programme settings on the "Authorization Data" tab, a third possible SystemManagerServer
  named "sysman.lpd-net.ru" has been added to the "SystemManager Address" selection box.
  At the moment, however, this is rather to be understood as "experimental", because this System-
  ManagerServer is apparently still under development, as it does not yet support all the standard
  functions of a SystemManager Server.
- In the programme settings on the "Miscellaneous" tab, another checkbox has been added to activate
  a signal tone when the client list is changed. This signal tone is only played on the sound card
  that has the standard device marking.
- Minor correction in the method for comparing the app version numbers.


Release V 4.8.9 (Build 2022.05.10.1628):
- Minor bugfix: a StringIndexOutOfBoundsException occurred in the method onSubProcessRxStopped in
  a certain, but rarely occurring constellation. This error has now been fixed.
- Information on the operating system used has been added to the log file and the "About" tab of the
  programme window.


Release V 4.8.8 (Build 2022.04.19.2218):
- The cause of the GUI freezing effect, which occurred during the automated regular refresh of the
  monitor list of an offline SystemManagerServer (usually Sysman EU), has now been discovered and the
  refresh routine optimised in this aspect.


Release V 4.8.7 (Build 2022.03.25.1122):
- Minor corrections/improvements to the previous programme changes of V 4.8.6.
- The StdoutParser has been extended with regard to parsing and processing further stdout lines
  of the current FRNClientConsole.
- Bugfix regarding programme behaviour when exceeding the transmission time limit (TOT, TimeOutTimer),
  on FRN servers that have a MaxSpeechTime parameter set.


Release V 4.8.6 (Build 2022.03.01.1418):
- Improved programme behaviour in the case of server connect exceptions (e.g. in the case of an
  unknown host exception).


Release V 4.8.5 (Build 2022.01.10.1234):
- Minor BugFix regarding the handling of hyperlinks in FRN information messages. The hyperlinks
  were displayed, but there was no action when clicking on such hyperlinks. This now works again.
- For server rooms where an access info is configured, this was not displayed if the FRN client
  has access authorisation to the room. This has now been corrected.
- The font settings of various text field and label components have been harmonised.


Release V 4.8.4 (Build 2022.01.05.1226):
- The StdoutParser has been extended with regard to parsing and processing further stdout lines
  of the current FRNClientConsole.
- Improved/corrected programme behaviour when switching automatically between main and backup 
  FRN Server. Especially if this happens during an ongoing FRN voice transmission.


Release V 4.8.3 (Build 2021.12.28.1258):
- The programme-controlled cleaning of the contents of the PTT settings parameter when operating the
  programme in crosslink mode has been corrected in such a way that the parameter contents are not
  generally deleted but only if the parameter value from previous programme versions erroneously
  still contains a VOX value (e.g. "VOX:1200").


Release V 4.8.2 (Build 2021.12.27.1846):
- In Crosslink mode, also the PTT parameter can now be configured again. If a VOX value ("VOX:nnnn")
  is entered there by mistake, this leads to an execution error in the integrated FRNClientConsole,
  because VOX is not supported in crosslink and gateway mode. In both modes, this possible
  configuration error is now intercepted and displayed to the user in a message window.


Release V 4.8.1 (Build 2021.12.27.1512):
- Minor fixes in the adaptation to the new FRNClientConsole r7091JCLmod
- The Method compareVersion has again been changed a little so that single-digit minor release
  numbers are also compared correctly.
- The reading and writing of the config files has been optimised somewhat.
- Although I don't quite see the need for it, but by special request of a user the sounds, hours
  and informer parameters in the programme settings are now also completely enabled when Crosslink
  mode is selected.
- A note has been added to the checkbox "Beep on arrival of text message" that this signal tone
  is only played on the sound card that has the standard device marking.


Release V 4.08.0 (Build 2021.12.19.1446):
- Integration of the official new FRNClientConsole r7091JCLmod including the necessary source code
  adjustments.
  * FRNClientConsole.Win32.r7091JCLmod.exe
  * FRNClientConsole.Linux-armhf.r7091JCLmod
  * FRNClientConsole.Linux-i386.r7091JCLmod
  * FRNClientConsole.Linux-amd64.r7091JCLmod
  * FRNClientConsole.Linux-aarch64.r7091JCLmod
  * FRNClientConsole.FreeBSD-i386.r7091JCLmod
  * FRNClientConsole.FreeBSD-amd64.r7091JCLmod
- The default configuration files frnconsole-default.cfg.[win|unix] have been changed to consider
  newly added parameters.
- The StdoutParser has been extended with regard to the additional possible "ERROR: ..." messages
  of the FRNClientConsole. For example, to recognise the new messages regarding errors in the 
  configuration ("ERROR: Config: ...") and to process them appropriately.
- Complete revision of the audio amplitude display on the main view (first tab) of the FRN_Client
  window. For this display, no longer a second instance of the FRNClientConsole is started in 
  audiolevel mode as before, but instead the data output is parsed on the socket port of the new
  version of the FRNClientConsole specially provided for this purpose. Thanks to this new approach,
  an audio amplitude display for the receiving side has now also been realised!
- A new tab has been added in the programme settings to allow you to define your own FRN BackupServer
  if required, which is used when the desired FRN server is not available. If these parameters are
  not set, the standard procedure as before takes effect that the FRN_Client tries to connect to the
  FRN BackupServer reported by the FRN server if the FRN server in question unexpectedly goes offline.
- A kind of hidden feature has been implemented:
  If you open the programme settings and switch to the "Radio" tab, and if "PC Only" mode is
  activated at the top of the tab and you remove the tick from "COS via PTT key", the "COS" field is
  enabled and you can, for example, configure PTT switching via COM port. But you can also configure
  "VOX" (e.g. "VOX:100") in this field. This allows you to use the VOX function of the integrated 
  FRNClientConsole even in "PC Only" mode! If you save the settings with a VOX configuration then 
  open the programme settings again and switch to  to the "Radio" tab, the fields "Carrier Catch Time",
  "Carrier Lost Time" and "In Precaptured Time" are also enabled and can be set for fine-tuning the
  VOX function.
- Minor corrections regarding the context-dependent enabling/disabling of the various window tabs,
  especially when switching from the main tab to the programme settings tab and vice versa.
- On the Programme Settings tab: Minor corrections regarding the enabling/disabling of all other
  window tabs, configuration fields and buttons as long as the audiolevel test is enabled.
- Correction in the list of supporters: PU2CRC --> PT2CRC
- Version numbering changed in the sense of semantic versioning (major.minor.patch).


Release V 4.07 (Build 2021.05.12.1248):
- If a backup server is configured on an FRN server, this is reported to the FRN client when it
  connects to the FRN server. If the FRN server goes offline during the connection, the FRN client
  automatically switches to the designated backup server and back to the actual FRN server as soon
  as it is available again. This is the standard procedure also for the Java FRN_Client.
  In addition, the FRNClientConsole integrated in the Java FRN_Client also offers the 4 parameters
  BackupServerMode, ForcedBackupServerAddress, ForcedBackupServerPort and ForcedBackupServerNetwork
  to force the use of an own backup server in case the main FRN server fails. These parameters can
  currently not be set in the Java FRN_Client settings. But with this programme version it is at
  least possible to edit and save these parameters manually in the frnconsole.cfg file while the
  Java FRN_Client programm is stopped. This means that the Java FRN_Client programm uses the made
  settings regarding these 4 parameters as they are and does no longer overwritten them with its
  default settings. In one of the next programme versions, these parameters will also be adjustable
  via the GUI of the Java FRN_Client.


Release V 4.06 (Build 2021.05.09.1254):
- Changed the country code of the Greek message properties file.
- The programme version is now also supplied with the FRN password request as a prefix in the client
  description field.
- Bugfix in the handling of PTT key events in connection with FRN servers where a SpeechPause is
  configured. In rare cases, a delayed hanging of the PTT key with an unwanted continuous carrier
  could occur.
- If you tried to start sending more than once in the SpeechPause phase, sending did no longer work
  at all afterwards - even after the SpeechPause has expired! In the debug/log output of the
  FRNClientConsole this can be followed nicely, because in the constellation of the anomaly, the
  CARRIER_ON event is no longer followed by the corresponding TX_Requested event.
  For the time being, the problem is solved with a WorkAround: When the program recognise that
  situation while parsing the debug/log output of the FRNClientConsole,  a reconnect of the FRN
  Client is programmatically triggered. Not nice, but it helps to get out of that situation.


Release V 4.05 (Build 2021.04.02.1452):
- In the FRN account settings, after entering/changing the email address, the field content is now
  always converted to lower case.
- If available, evaluation of the FRN server info line of the FRNClientConsole  and display of that
  FRN server  info as tooltip window on the connect status line.
- Added language support for Greek.
  Many thanks to [SV1PBB, Elias] and [SV0XAL, Antonis] for translating the messages.properties file
  to Greek.
- Layout of certain settings tabs revised, due to the sometimes long Greek translation of some field
  names.


Release V 4.04 (Build 2021.01.14.1642):
- The dynamical layout of the TX/RX status line has been revised.
- Next to the PTT button is now a Checkbox, with which a PTT lock-function can be switched on and off.


Release V 4.03 (Build 2021.01.11.1808):
- Added language support for Italian.
  Many thanks to [IK1VHN, Ugo] for translating the messages.properties file to Italian.
- PTT button slightly enlarged.
- Additional entries in the event log regarding mute, block and the granting of admin rights.


Release V 4.02 (Build 2020.12.12.1734):
- Integration of the official new FRNClientConsole r6460 including the necessary source code
  adjustments.
  * FRNClientConsole.Win32.r6460.exe
  * FRNClientConsole.Linux-armhf.r6460
  * FRNClientConsole.Linux-i386.r6460
  * FRNClientConsole.Linux-amd64.r6460
  * FRNClientConsole.Linux-aarch64.r6460
  * FRNClientConsole.FreeBSD-i386.r6460
  * FRNClientConsole.FreeBSD-amd64.r6460
- In the program settings the tab "Additional Sounds" has been removed and its sound parameter fields
  have been moved to the tab "Sounds" which has now a scrollbar as needed. Furthermore the parameter
  fields for the additional sound "SoundDisconnect has been added.
- In the program settings on the tab "Informer" the additional parameter TimeRange has been added.
- The default configuration files frnconsole-default.cfg.[win|unix] have been changed to consider
  newly added parameters.
- Added language support for Spanish.
  Many thanks to [GEISER, Enrique] for translating the messages.properties file to Spanish.


Release V 4.01 (Build 2020.10.21.2048):
- Unfortunately the console output of the new FRNClientConsole r6378 has changed regarding certain
  messages. Therefore the internal StdOut parser, which is used for the recognition of these messages,
  had to be adapted again. On top of that, this change concerned of all things the error message for
  incorrect or expired FRN passwords. Therefore it is strongly recommended to install this program
  update as soon as possible.


Release V 4.00 (Build 2020.10.19.1716):
- The current development version V 3.38rc (Build 2020.10.14.1758) is now the basis for the new
  stable version.
- Integration of the official new FRNClientConsole r6378 including the necessary finishing source
  code adjustments.
  * FRNClientConsole.Win32.r6378.exe
  * FRNClientConsole.Linux-armhf.r6378
  * FRNClientConsole.Linux-i386.r6378
  * FRNClientConsole.Linux-amd64.r6378
  * FRNClientConsole.Linux-aarch64.r6378
  * FRNClientConsole.FreeBSD-i386.r6378
  * FRNClientConsole.FreeBSD-amd64.r6378
- In the program settings, the input field for the DTMF commands is now a field with scrollbar
  and a maximum input length of 500 characters.
- The default configuration files frnconsole-default.cfg.[win|unix] have been changed to consider
  the newly added server proto parameters (ProtoTempMuteBlock,ProtoMoveClient,ProtoNetChangeInfo).
>>>>>> Important note for the use of this program on Linux operating systems: <<<<<<
The FRN_Client program must now be started with the following additional commandline option:
-Dfile.encoding=CP1252
Example: java -Dfile.encoding=CP1252 -jar FRN_Client.jar
(In the start file "FRN_Client.run", which is intended for Linux, this is already considered).


Release V 3.38rc (Build 2020.10.14.1758):
- Integration of the new FRNClientConsole r6375 including the necessary source code adjustments.
  * FRNClientConsole.Win32.r6375.exe
  * FRNClientConsole.Linux-armhf.r6375
  * FRNClientConsole.Linux-i386.r6375
  * FRNClientConsole.Linux-amd64.r6375
  * FRNClientConsole.Linux-aarch64.r6375
  * FRNClientConsole.FreeBSD-i386.r6375
  * FRNClientConsole.FreeBSD-amd64.r6375
- BugFix regarding the recent changes in version V 3.37rc in context with the various "CharsetName"
  config parameters.


Release V 3.37rc (Build 2020.10.12.1942):
- Integration of the new FRNClientConsole r6367 including the necessary source code adjustments.
  * FRNClientConsole.Win32.r6367.exe
  * FRNClientConsole.Linux-armhf.r6367
  * FRNClientConsole.Linux-i386.r6367
  * FRNClientConsole.Linux-amd64.r6367
  * FRNClientConsole.Linux-aarch64.r6367
  * FRNClientConsole.FreeBSD-i386.r6367
  * FRNClientConsole.FreeBSD-amd64.r6367
- In the program settings there is now a second sound tab "Sound Ext" with the two additional
  sounds SoundServerBOT and SoundServerEOT.
- The default configuration files frnconsole-default.cfg.[win|unix] have been changed to consider
  the newly added sound parameters and changed default values of the various CharsetName parameters.
>>>>>> Important note for the use of this program on Linux operating systems: <<<<<<
The FRN_Client program must now be started with the following additional commandline option:
-Dfile.encoding=CP1252
Example: java -Dfile.encoding=CP1252 -jar FRN_Client.jar
(In the start file "FRN_Client.run", which is intended for Linux, this is already considered).


Release V 3.36rc (Build 2020.10.08.1242):
- In the program settings, under Miscellaneous, another setting parameter called "Character encoding"
  has been added. This allows the user to change the character set, for example, from Western
  European to Cyrillic, if necessary.
- The procedure for "suppressReceivingVoicePackets" in the program-internal MITM Proxy has been
  extensively revised. In QRT mode, the received voice data packets were previously replaced by
  silent voice data packets. Now in QRT mode the voice packets are only taken into account for the
  corresponding displays in the client list. But the passing of the voice data packets to the
  subprocess (the FRNClientConsole) is completely prevented and replaced by neutral ping packets.


Release V 3.35 (Build 2020.09.23.1720):
- The class method ClientFrameController.check4NewerRelease() has been revised.
- The default config files frnconsole-default.cfg.[win|unix] have been corrected regarding the
  Radio.COS parameter.
- If the client type is "PC Only" and the checkbox "COS via PTT button" is set and the corresponding
  setting of the Radio.COS parameter does not match to this configuration, it will now be corrected
  at program start. (Because in certain constellations after the initial installation of the program,
  this setting was not correct.)
- The column ClientID has been removed from all client table views.
- A new menu item named "Restore default sort order" has been added to the context menu of the
  client list. This menu item is used to restore the default sort order after re-sorting the list
  by clicking on a column header. 


Release V 3.34 (Build 2020.08.31.1258):
- In the program settings on the tab "Radio" there is a checkbox called "COS via PTT Key". When
  turning this option off/on, on some systems and in some constellations (for example, when the
  program was started with the "-id XYZ" option) the COS field was not filled correctly because the
  file path of the local COS file was too long for the parameter field. The result was that the
  COS parameter field was not filled (empty field) and PTT did not work. The allowed field length
  of the COS parameter field has now been increased, thus solving the problem.


Release V 3.33 (Build 2020.08.28.1534):
- Program Settings, tab "Authorization Data": The filling of the long country selection list has
  been corrected. Some entries accidentally had a space at the end of the country name. But when
  saving the program settings, the selected country name was saved without the space in the config
  file. This had the effect that the selected country was not found in the selection list at program
  start and the country setting was reset to "Germany" as a precaution.


Release V 3.32 (Build 2020.08.10.1642):
- On the settings tab "APRS":
  Unfortunately, the field labels for the coordinate values were accidentally swapped. I apologize
  for that! This has now been corrected. Furthermore a crucial typing error in the examples shown
  on the tab concerning the coordinate conversion has also been fixed.
- In the APRS settings, the coordinates no longer have to be converted manually into APRS format.
  Alternatively you can simply copy the DMS coordinate values from the website 
  https://www.latlong.net/lat-long-dms.html into the corresponding setting fields. The conversion
  will then be done automatically within the program.
- The structure of the messages which are sent to the APRS server has been slightly revised again.


Release V 3.31 (Build 2020.08.08.1456):
- The current development version V 3.30rc (Build 2020.08.04.2220) becomes the new stable version.
- The file messages_ru.properties was updated again. Thanks again to Valery Savschuk for his Russian
  translation of the message properties file and his support regarding the correct file format of the
  message_ru.properties file because of its special character set (Cyrillic character set).
- Various changes to the layout of a few settings tabs to better display the sometimes long field 
  labels in russian language.
- Minor bugfix in connection with the COS field on the settings tab "Radio" when switching between
  the FRN client types.


Release V 3.30rc (Build 2020.08.04.2220):
- Added language support for Russian language.
  Many thanks to Valery Savchuk for translating the messages.properties file to Russian.
- Under "Settings" there is now an addional tab called "APRS". There you can configure the optional
  APRS feature. This new feature provides the sending of position and status messages regarding the
  FRN Client to an APRS Server (cbaprs.de).


Release V 3.29 (Build 2020.07.24.1806):
- The current development version V 3.28rc (Build 2020.06.29.1802) becomes the new stable version.
- The statistics display during the AudioLevelTest has been reduced to two values: avg and max level.
- BugFix regarding enabling of certain tabbed panes when stopping an AudioLevelTest.
- In the program settings on the "Authorization Data" tab, the Country field is now a selection field
  with predefined country names. This is to ensure that the "correct" country name will be set.
  For example, if a country name "Deutschland" was set instead of "Germany", the client connection to
  the Original FRN system always failed.
  Existing incorrect country settings in the CFG file are automatically corrected at program start (at 
  least by resetting to the default value: "Germany").
- In the program settings on the both tabs "Audio IN" and "Audio OUT" the Audio Quality "S" (=high
  quality but not very high processor load) has been added.
- Further parameters of the current FRNClientConsole have been added (with their default values) to the
  CFG file of the program settings. The default config files frnconsole-default.cfg.[win|unix] have been
  updated accordingly.


Release V 3.28rc (Build 2020.06.29.1802):
- The regular expression for checking the Band/Channel field  has been changed regarding the 
  format of DIG frequencies.
- The COS field on the settings tab "Radio" is now also enabled in "PC Only" mode in order to be
  able to define PTT via a COM device. And a new checkbox field "COS via PTTKey" has been added, for
  resetting the COS field value to required internal value, if a regular PTT Key is used in
  "PC Only" mode, what is still the default setting for "PC Only" mode.
  In the context of "PC Only" mode and the option PTT via COM Device, the program logic also had
  to be adapted at various points. Furthermore the default config files frnconsole-default.cfg.[win|unix]
  have been updated regarding this new settings parameter.
- In the program settings on the tab "Audio in", when executing the Audio Level Test, a statistic
  regaring min/avg/max level is now shown beside the current audio level.


Release V 3.27 (Build 2020.06.08.1802):
- The StdoutParser has been extended regarding the "Access information" of the FRNClientConsole.
- Some changes in the program settings on the "Authorization Data" tab:
  * All field inputs are trimmed when saving. In particular, to prevent invisible spaces at the end
    of the field input.
  * The field order has been changed (eMail-Address before password).
  * The regular expression for checking the entered eMail address has been completely revised.
    The validation now takes place with two separate regular expressions in two stages (1. rough,
    2. fine/detailed).
  * Because of those FRN users who still stubbornly and foolishly believe that they can use a self-
    chosen FRN password despite the highlighted and contrary hints on the "Authorization Data" tab,
    the entered password is now also checked against a regular expression when saving the settings.
- Minor changes regarding the various "CharsetName" parameters in FRNClientConsole config file under
  linux. In this context, the default config file frnconsole-default.cfg.unix has also been updated.


Release V 3.26 (Build 2020.04.22.1210):
- Under settings --> authorization data extra note above the password field, for those users who
  still think they could assign a password by themselves despite the "Request password" button.
- The dynamic layout of the tab "Admin-/Access-List" again has been reworked a little bit (changed
  weighting of the tables and the multiline textfield when resizing the window).


Release V 3.25 (Build 2020.04.21.1402):
- The current development version V 3.24rc (Build 2020.04.07.1942) becomes the new stable version.
- Complete revision of the dynamic GUI layout, so that the minimum window size can now be 800x600
  pixels. (The previous minimum window size was too large for the small desktops of a few users.)


Release V 3.24rc (Build 2020.04.07.1942):
- The FRNClientConsole ignores the two states QRT + QRL when receiving and sending voice packets.
  In the MITM proxy of the Java FRN Client program this peculiarity of the FRNClientConsole is 
  corrected, so that the behavior with QRT and QRL states is FRN compliant again.
  This suppression of voice packets by the MITM Proxy can be switched off or on as required using
  the two new parameters "suppressReceivingVoicePackets" and "suppressSendingVoicePackets".
  Both parameters are set to "yes" by default. With the value "no" the described suppression of
  voice packets can be switched off again.


Release V 3.23 (Build 2020.01.29.1242):
- Added language support for French.
  Many thanks to [14GEF068, Clement] for translating the messages.properties file to French.


Release V 3.22 (Build 2019.12.28.1452):
- The program internal KeepAlive ScheduledExecutorService can now be switched on/off via the new
  "keepAlive=yes/no" parameter in the client.properties file. The program internal default setting
  is keepAlive=no. KeepAlive here means to prevent the screensaver or the hibernation mode.
- Minor bugfixes.


Release V 3.21 (Build 2019.12.07.1808):
- The visual highlighting of Java FRN_Servers in the monitor list is now done using a list which
  will be loaded at program start from web space.
- Refreshing the FRN Monitor tree view is suspended when the vertical divider is at the far left 
  border of the main window or when the main window is minimized.
- Tab "Settings" revised:
  * The entries in the selection list of the SystemManagerAddress field have been supplemented
    with an explanatory label.
  * A new tab "Radio beacons" has been created and corresponding fields of tab "Miscelleanous" has
    been moved to this new tab and tooltip popups have been added to some of the Informer parameters.
  * The new parameter "FRN Monitor visible (minutes)" has been added to the tab "Miscelleanous".
  * On the tab "Radio" line breaks have been added to the longer tooltip texts of some parameters.
- A timer has been implemented which limits the duration of visibility of the FRN Monitor Tree View.
  With every user action on the FRN Monitor Tree View, the timer is restarted. After the timer has
  expired, the FRN Monitor Tree View is closed. This was developed to reduce the number of FRN monitor
  refresh requests at the FRN SystemManagerServer. The duration of the visibility of the FRN Monitor
  tree view can be configured in the program settings.
- FRN User Registration (FRN Password request):
  * The sendIGRequest method was moved from the Monitor class to the ClientFrameController class
    and modified so that a password request based on the entered authentication data can now be
    performed directly (without prior saving of the settings).
  * The Format of the combined field CityCityPart in the FRN user registration has been corrected.
    (separator now " - " instead of ", ").
- For different input field types the display of the states FocusGained (field got the focus) and
  Disabled (field is not editable) has been improved.


Release V 3.20 (Build 2019.11.17.1712):
- The no longer used package ~.frn.client.gui.scheduler and quartz-1.8.6.jar has been removed.
- Better visualization of a forced disconnection of the client.
- Minor bug fix regarding double-clicking a server line in the Monitor tree view. In this case
  the FRN client has always connected to the test room. This is now corrected and the FRN Client
  will connect to the configured default room of the server.
- At the end of a voice transmission, when the PTT button is activated, a yellow frame appears
  around the button for 5 seconds as a reminder to keep to the recommended speaking pauses.
- Source code refactoring regarding the various internal timer.


Release V 3.19 (Build 2019.11.08.1122)
- Change of version display. The previous version display yyyy.mm.dd.HHMM becomes the internal
  build number and is replaced by a classic version number.
- The Optional Parameter "frnClientDescrIncludesReleaseInfoPrefix" of the client.properties file
  have been removed now.
- Parameter "subprocess_per_accountid" and the associated program lines - introduced in release
  2019.09.05.1926 - have now been removed again. It was anyway only a workaround for a supposed
  problem of the program (running two parallel FRN gateways on one Raspberry Pi) that finally
  could be solved on operating system level.
- If the port number of the backup server of the selected server is not set correctly,
  a possible exception is now prevented.


Release 2019.09.27.1446: (V 3.18)
- Optimization of reading and writing the configuration file. In certain runtime environments,
  this took unusually long for inexplicable reasons.
- At program start a SplashScreen is now displayed, which visualizes the progress of the startup.
- The default configuration files (frnconsole-default.cfg.win, frnconsole-default.cfg.unix and
  gui-default.ini) have been updated.


Release 2019.09.24.1848: (V 3.17)
- Multimedia keys such as "Volume+" can now also be defined as PTT key.
  (WorkAround via keyRawCode)
- BugFix regarding the recent change to the cleanup procedure on quitting the application.


Release 2019.09.09.1428: (V 3.16)
- Exporting and importing program settings is now possible. After importing program 
  settings, the program is automatically restarted.
- After changing the language, the program is automatically restarted.
- Fixed an anomaly regarding a beep tone that sounded when starting the program in 
  combination with the automatic re-connect.


Release 2019.09.05.1926: (V 3.15)
- A new parameter "subprocess_per_accountid=yes/no" has been added to client.properties.
  If this parameter is set to "yes", the AccountID is appended to the subprocess path as
  a subdirectory and added as a prefix to the file name of the subprocess executable.
  This is only intended as a workaround for the anomalies with the FRNClientConsole when
  it is started in multiple instances (per AccountID).
- Info regarding callsign and operatorname in window title.
- Timeout when connecting to the SystemManager server and ensuring socket close after
  requesting the monitor list. 
- If the connection is re-established (after a connection termination due to an unstable
  Internet line), any running RX/TX timers are now also stopped.
- Bugfix regarding the visualation of the active / speaking Client, when other clients
  connect or disconnect during the running voice transmission.
- When starting the program, the connection to the SystemManagerServer (Monitor Server)
  is now established only after the complete display of the program window, in order to
  prevent the effect of an empty window if the SystemManagerServer is not available.
- Further CleanUp actions at program end and ensuring the complete termination of the
  Java VM.


Release 2019.09.02.1730: (V 3.14)
- Under "Settings" there is now an addional tab "Local FRN Server". There you can set the
  external and internal address including port for a possibly local FRN server.
- The input field eMailAddress is now checked for a valid input format.


Release 2019.09.01.0222: (V 3.13)
- To prevent possible concurrent file access the ACCOUNT_ID is now also considered in the
  default values of the following parameters: System.LogFile, System.BackupServersFileName, 
  System.DynamicPasswordFileName and Sounds.ConnectSoundCfgFileName.


Release 2019.08.28.1742: (V 3.12)
- Connection attempts using DoubleClick on a monitoring tree element are now prevented if one
  of the main ID fields is empty.
- If the selected SystemManagerServer is offline, an empty monitor tree view is now guaranteed.
- FRN Password requests are now prevented if one of the main ID Fields is empty.
- Validation of the field entries with regular expressions regarding the parameter fields
  OperatorName, Callsign and Band/Channel. If the field input does not correspond to the 
  respective RegEx pattern, a warning message is displayed regarding the unusual input.
- Truncation of lblStatusLine in case of long text contents and small frame window width.
- The display on the last branch level of the monitor tree view has been changed (tree leaf).
- Default value of parameter ProtoShortFrames changed from "no" to "yes". Futhermore on the
  settings tab "Miscellaneous" a checkbox regarding "Short VoIP frames" has been added.
  And class MitmFromServerToClient adapted to this special FRN protocol feature.
- As announced, the scramble function has now been removed.
- The parsing of checkrate output and the display of its result has been improved.
- At the request of some users the configuration of the sound files is now also enabled in 
  PC Only mode, although according to Valery's statement the configurable tones of the
  integrated FRNClientConsole are only intended for on-air (HF) output. I found out that
  some of the configurable tones are also played on the local PC.


Release 2019.08.22.1808: (V 3.11)
- The MessageBox regarding an available newer program version is no longer modal and will close
  automatically after a few seconds. This is especially useful when restarting the application
  in unattended gateway mode!


Release 2019.08.21.2036: (V 3.10)
- The PTT keyEvent is no longer unchangeably set to "Ctrl Right" but can now be freely defined!
- The KeepAlive Robot mechanismn has been moved from the refreshTreeMonitor method to a separate
  keepAlive ScheduledExecutorService and the Robot keyEvent has been changed, in order to prevent
  a possible collision with the PTT keyEvent detection.
- Consideration of the optional ACCOUNTID (refer to "-id" program command line option) in the
  file name and content of the support_info ZIP file.


Release 2019.08.14.1246: (V 3.09)
- The current development version (2019.08.12.2052rc) becomes the new stable version.
- Completion of some translations (Finnish, Hungarian, Portuguese).
- Scramble function disabled for now. It will be completly removed in one of the upcoming releases.


Release 2019.08.12.2052rc: (V 3.09rc1)
- Settings: previous "Audio" tab divided into two tabbed panes "Audio IN" and "Audio OUT".
- Settings tab "Audio IN": Further audio in parameters of FRNClientConsole have been added.
- Settings tab "Audio OUT": Further audio out parameters of FRNClientConsole have been added.
- Settings tab "Radio": Further radio parameters of FRNClientConsole have been added. And
  Parameter "LCD Display Script" moved to tab "Miscellaneous"
- Settings tab "Miscellaneous": Checkbox "enabled" added regarding LCD Display Script. The configured
  LCD Display Script is now only executed if enabled and the client mode is set to "Gateway".
- Settings tab "Audio IN"+"Audio OUT": A pushbutton to show available sample rates have been added.
- Tooltips are now displayed for a longer time.


Release 2019.08.07.1616: (V 3.08)
- About tab: A pushbutton has been added to easily create the Support Info file (support_info.zip).
- frnconsole-default.cfg.win and frnconsole-default.cfg.unix changed again: The Defaultvalues of
  ServerAddress, ServerPort and Network are now NULL values!


Release 2019.08.04.0152: (V 3.07)
- log.error() if reading the file frn_client_curr_release.dat has failed.
- About tab: Corrected typo in helpdesk eMail address and now implemented as hyperlink. 
  Furthermore, hyperlinks to the respective websites have been added.
- Language Support for Hungarian has been added.
  Many thanks to [ATTILA, Attila74] for the hungarian translation of the messages.properties file.


Release 2019.07.30.1825: (V 3.06)
- The Beep when textmessages arrive, can now be turned on or off under settings/miscellaneous.
  And the volume level has been decreased a little bit.


Release 2019.07.29.1242: (V 3.05)
- Beep when text messages arrive.
- Additional logbook entries, when other clients connect/disconnect.
- Logbook entries regarding RX/TX (start/stop) events revised.
- Java und Charset info fields moved from Settings tab to About tab, in order to reduce the minimum 
  frame window size (height) again some more.
- TrialPeriodWatchDog disabled.


Release 2019.07.23.1512: (V 3.04)
- Method onSubProcessAudioError(..) revised: 
  > Possibly running RX/TX timers are stopped.
  > Instead of a MessageBox, the error is now displayed in the status line and logged in the event log.
- When starting the program or switching to the "About" tab, a check is made for a newer program version.
  If applicable, a MessageBox incl. download link is displayed.
- The new function "Auto Connect" has been implemented. See the corresponding checkbox under Settings.
- Complete redesign of the tab "Settings". A TabbedPane is now used instead of a ScrollPane. This makes
  the multitude of parameters more lucid.
- Tooltip on MonitorTree and context menu via right mouse click with the additional tree functions:
  refresh tree view, expand all nodes and collapse all nodes.


Release 2019.07.05.1842: (V 3.03)
- The hidden and special program function in the context of the file "mute_scheduler[-ACCOUNTID].csv",
  which was introduced with the release 2018.11.27.1918, has been  removed again.
- As a precaution against new experiments from the developers of the russian frn servers, who add
  sometimes new fields to their server responses, xStream.ignoreUnknownElements() has now been set.
- In the program settings - if gateway mode is selected - the file name of a script can now be
  specified in the field "LCD Display Script", which controls the display of transfered data on a
  connected LCD display. For example an I2C LCD display on a Raspberry Pi.
  Two parameters as quoted strings are passed to the script: 'Line1' and 'Line2'.
  The script is currently called at the following program events: When connecting, in case of 
  connection errors, while receiving (every sec), while sending (every sec), when changing the
  QRV/QRL/QRT status and when disconnecting.


Release 2019.07.04.1548: (V 3.02)
- Adaptation to additional fields provided by the current alterFRN server in response to a CT request.


Release 2019.07.04.1448: (V 3.01)
- The connection problem in the context with FRN server addresses consisting of only an IP address
  (no hostname) has been solved.


Release 2019.06.29.1142: (V 3.00)
- The current development version (2019.06.29.1116rc) becomes the new stable version.
- The expiry date of the program has been adjusted.


Release 2019.06.29.1116rc: (V 3.00rc4)
- An update regarding error #0981.


Release 2019.06.25.1702rc: (V 3.00rc3)
- Tooltip windows at the input fields of the following setting parameters:
  AudioInPreCapturedTime, RadioCarrierCatchTime, RadioCarrierLostTime, RadioCOS, RadioCourtesyDelay,
  RadioCTCSSWakeTime, RadioPTT, RadioSquelchSettlingTime, RadioSquelchSettlingTimeIn
- Minor corrections in messages_fi.properties
- frnconsole-default.cfg.unix: Default value of parameter EnableMicAudioLevelDisplay changed from
  'yes' to 'no'.


Release 2019.06.17.1410rc: (V 3.00rc2)
- Language Support for Portuguese (Brazil) has been added.
  Many thanks to [PU2CRC, Renato] for the portuguese translation of the messages.properties file.


Release 2019.05.09.2026rc: (V 3.00rc1)
- Implementation of the operating modes FRN Gateway and FRN Crosslink.
- An error message is now displayed when the subprocess detects an error with the audio capture device.
- Error message regarding error #0981 extended with a hint of cause.


Release 2019.03.26.1642: (V 2.02)
- Fixed a typo in the string value of a program internal constant (regarding the name of the 
  executable file under Linux i386).


Release 2019.03.25.1402: (V 2.01)
- Fixed a typo in the string value of a program internal constant (regarding the name of the 
  executable file under FreeBSD i386).


Release 2019.03.21.0954: (V 2.00)
- Precautions against the pointless action of some users, clicking on the connect button without
  the minimum required program settings.


Release 2019.03.10.1306rc: (V 2.00rc3)
- New optional parameter in the client.properties file: "frnClientDescrIncludesReleaseInfoPrefix"
  The program's interal default parameter value is "true". The value "false" can be used to suppress
  the automatically inserted release info prefix in the client description field.
- Individual settings of the In-/OutSampleRate are now correctly considered. (Previously, the program's
  internal default values were always used.)
- An error message dialog is displayed if the executable subprocess file cannot be found.
- An update regarding a possible error #0981.


Release 2019.02.27.1054rc: (V 2.00rc2)
- Current r5564 releases of Valerys FRNClientConsole integrated.
  * FRNClientConsole.Win32.r5564.exe
  * FRNClientConsole.Linux-armhf.r5564
  * FRNClientConsole.Linux-i386.r5564
  * FRNClientConsole.Linux-amd64.r5564
  * FRNClientConsole.FreeBSD-i386.r5564
  * FRNClientConsole.FreeBSD-i386.r5564
- New possible parameter values for the parameter subprocess_impl of the client.properties file:
  * Linux-armhf
  * FreeBSD-i386
  * FreeBSD-amd64
- Additional fixes regarding the rarely issue with the talk time display in RX mode.


Release 2019.02.17.1052rc: (V 2.00rc1)
- Current r5556/r5554 releases of Valerys FRNClientConsole integrated including various adaptations
  regarding the meanwhile changed outputs on stdout from its executables.
  * FRNClientConsole.Win32.r5556.exe
  * FRNClientConsole.Linux-armhf.r5556
  * FRNClientConsole.Linux-i386.r5556
  * FRNClientConsole.Linux-amd64.r5554


Release 2019.02.15.1048rc: (V 1.01rc2)
- The display of the call duration in RX mode implemented in program release 2019.02.09.1032rc
  showed the very rarely effect of continuing although the program is no longer in RX mode. 
  This has been fixed now.
- Further preparatory adaptations to the upcoming new version of Valery's FRNClientConsole.


Release 2019.02.09.1032rc: (V 1.01rc1)
- In the TX/RX status line, the current talk time in seconds is now also displayed in receive mode.
  (Previously only the total time was displayed at the end of the transmission.)
- Complete refactoring of the implementation of the FRN monitor view (on the left side of the 
  FRN client window) in particular including the following changes/improvements:
  * The effect that some monitor lines were sometimes only displayed shortened with "..." at the
    end of the line does not occur anymore.
  * Server and client lines of FRN servers or FRN clients running my software are now displayed
    in a different font color (dark blue).
  * Performance optimization regarding the display of the TreeView (also when refreshing the
    monitor list).
- Display (Field Fore- / Background Colors, Focus Highlighting, Selection Marking, Enable-/Disable
  Visualization) of all ComboBox fields and the Port Number field has been reworked. 


Release 2018.12.27.1602: (V 1.00)
- A documentation regarding the configuration parameters has been added to the software package.
- Final build for first public deploy


Release 2018.12.12.1902: (V 0.36)
- Socket timeout in ClientConnector increased.


Release 2018.12.10.0024: (V 0.35)
- A few corrections regarding the Finnish language mode.
  Thanks again to SG3FTR (BERTTA, Mika) for helping with the translation to Finnish.


Release 2018.12.09.1730: (V 0.34)
- A first implementation of a MultiLanguage support of the program. Currently the languages
  English (default), German and Finnish are supported. Special thanks to SG3FTR (BERTTA, Mika) for
  helping with the translation to Finnish.
  Please note: A change of the language setting only takes effect after restarting the program !
  If you like to have other languages to be supported, please download the attached 
  message.properties file and send it back to me after translation. The file name of the translated
  message.properties file should correspond to the sample "message_{locale}.properties" with
  {locale}=your Locale abbreviation (for example "it"=Italian, "fr"=French, etc...). Please 
  translate only the strings to the right of the equal signs. If possible, the translation of the
  strings should not be much longer than the english default. 


Release 2018.11.27.1918: (V 0.33)
- The input field "Server" is no no longer a simple text input field but now a so-called ComboBox
  input field with a selection list of all the servers you have already connected to.
  The selection list is constantly updated and is sorted by server name. It is saved at program
  end and also re-loaded at program start.
- A hidden and new feature: A hidden feature because the configuration cannot yet be done via the
  "Settings" tab, but only by manually editing a separate CSV file.
  This new feature offers a scheduler controlled muting of clients in a server room !
  The file name of the configuration file is build according to the following pattern:
  "mute_scheduler[-ACCOUNTID].csv"
  The program searches and loads the file at program start from the subdirectory "subprocess".
  As a reminder: The optional ACCOUNTID is the identification which can be used to distinguish
  between several own FRN accounts when starting the program via command line parameter "-id ...".
  The configuration lines in the CSV file (field separator is semicolon!) are structured according
  to the following pattern:
  "operatorName";"on/off";"cronExpression"
  Here is an example content of this file:
  "CALLSIGN, Name"; "on"; "0 0 23 * * ?"
  "CALLSIGN, Name"; "off"; "0 0 3 * * ?"
  This means that the FRN client with the operator name "CALLSIGN, Name" (no matter if "PC Only",
  "Gateway" or "Crosslink") will be muted every day at 23:00 o'clock and will be enabled again at
  03:00 o'clock.
  The Cron Expression follows the usual syntax of Cron Expressions (similar to the linux crontab)
  and therefore offers many possibilities to specify the desired time points.
  Prerequisite for the execution of these mute/unmute jobs:
  The FRN_Client with the scheduler jobs configured in this way must be connected to the 
  corresponding server room at the time a job is executed and must have at least ADMIN rights.
  (As you know, the Mute function is only available to clients who have OWNER, NETOWNER or ADMIN
  rights.) And of course the client, which should be muted/unmuted, must be online at that time.


Release 2018.11.25.1522: (V 0.32)
- An update regarding possible error #0981.


Release 2018.10.28.1534: (V 0.31)
- Because the server change in server backup mode sometimes did not work as expected:
  * Source Code Refactoring in several Java classes involved.
  * The logging in the participating class methods has been revised and extended.
  * Fix of a conditionally possible NullPointer exception in method __stopSpeakingTimeTimer(),
    which as a negative side effect also interfered / prevented the return to the main FRN server.
    This error constellation was quite difficult to find.
- Preparatory adaptations to the upcoming new version of Valery's FRNClientConsole.


Release 2018.09.20.1432: (V 0.30)
- BugFix regrading the password request (FRN User registration), if it was sent to the original
  FRN system (SysmanEU selected).
- The main parameters of the recorder function of the subprocess are now also taken into account
  in the program settings. 


Release 2018.09.14.1518: (V 0.29)
- In TX mode, the duration of the speaking time is now displayed in the lower status bar also 
  during the running voice transmission.
- The AGC functionality on the audio output channel is not compatible with the silent voice packets
  sent by the Java FRN_Server when the FRN client is in QRT mode. Therefore this optional setting
  has been removed again for the time being.


Release 2018.09.13.1724: (V 0.28)
- The format of the time column of the text messages table is now "dd.MM.yyyy HH:mm:ss".
- All internal Timer and TimerTasks of the program have been reworked (including minor bugfix 
  regarding the speaktime timer).
- A change of the Q-status (QRT, QRL, QRV) during a running connection is now also maintained at  
  a program-controlled change between main and backup server.
- The value of both parameters InQuality and OutQuality has been changed from "M" (=medium) to
  "H" (=high).
- The value of the CarrierLostTime parameter has been changed from 0 to 150 ms.
- The value of the parameter InPreCapturedTime has been changed from 0 to 150 ms.
- The settings of both parameters InAGCEnabled and OutAGCEnabled can now be changed under "Settings".
- The progress bar of the audio level test now shows also the actual audio level reported by the
  sub-process. In preparation for a possible future feature enhancement: Selecting a suitable VOX
  level for a future crosslink or gateway operation mode of the Java FRN_Client ...


Release 2018.09.02.1538: (V 0.27)
At the suggestion of a beta tester, the PTT keyboard shortcut has been changed from "Numpad+" to
"RightCtrl". However, because in the KeyBinding procedure, which is recommended and usually is used
for such keyboard shortcut implementations, the KeyEvent.KEY_LOCATION_RIGHT is unexpectedly not taken
into account (seems to be a bug in the java runtime), a separate KeyListener had to be implemented. 


Release 2018.09.01.0116: (V 0.26)
An update regarding error #0981.


Release 2018.07.29.1924: (V 0.25)
- The timer for speaking time controlling is now triggered not at "Carrier ON" but at "TX is approved 
  and started" and will be resetted even in case of unexpected transmission interruptions or
  unexpected connection terminations. If required, this timer can be set in the client.properties
  file to a value other than the default value 150 using the parameter "time-out-timer" or switched
  off completely (time-out-timer=0).


Release 2018.07.28.1854: (V 0.24)
- The detection and handling of possible peer disconnections through the internal MITM proxy pipes
  has been revised and optimized.
- Source code refactoring (especially regarding MitmFromServerToClient and MitmFromClientToServer)
- If the speaking time exceeds 150 seconds, a local warning tone sounds every 5 seconds.
- The column widths of the both tables tblClients and tblTextMessages is now also saved in gui.ini
  and restored at program start.


Release 2018.07.25.1432: (V 0.23)
- Any tabulator chars in text messages are now converted to spaces because the Original FRN Server
  (Edwin's implementation) cannot handle them.
- The algorithm for the variable row height of the text message table has been revised again: 
  In the current Java Runtime seems to be a problem with table.prepareRenderer(..) and/or
  comp.getPreferredSize().height. A WorkAround has been developed for this issue.


Release 2018.07.20.1436: (V 0.22)
- On WindowStateChanged the SysTray menuItem "Show/Hide" will now be set accordingly.
- If used the account ID is now also displayed in the SysTray tooltip window.
- The field length of the input field "Description" will now be reduced by current length of the
  inserted version-info string.
- Now also showing TX and RX duration in the TX/RX status line.
- Logger messages reworked and log4j.xml changed.
- Minor bugfixes, source code refactoring and byteCode optimizing. 


Release 2018.07.12.2222: (V 0.21)
- The last WindowState (such as ICONIFIED/MINIMIZED) is now also saved in gui.ini and restored
  at program start.
- Workaround for the effect, that Valery's subprocess does not support a change of the visible status
  on the fly. Due to this workaround no more reconnects after status changes are necessary anymore !
- On Windows operating systems, a possibly still running subprocess was searched for and terminated
  during program start. This function is no longer required and has also been removed for a possible 
  parallel execution of several program instances.
- Various program changes concerning the handling of the conguration files and the log files to enable
  the execution of parallel program instances with different FRN accounts. To use this new feature,
  specify when calling the program the new option" -id" after the name of the executable file together
  with a short identifier of the FRN account directly behind that option (separated by a space).
  For example, a sequential number or the call sign can serve as identification. In any case the 
  character string of the identifier must not contain any special characters, hyphens or spaces.
  The account ID is then also inserted as a suffix in the filenames of the affected configuration
  files (subproccess config file, gui config file), the COS file and in the filenames of the rolling
  log files. Thus, the account specific settings and log files can be distinguished.
  Here follows an example of the extended programm call:
  FRN_Client.exe -id ACCOUNT1   (on MS Windows operating systems)
  FRN_Client.run -id ACCOUNT1   (on Linux operating systems)


Release 2018.07.10.1652: (V 0.20)
- BugFix regarding the saving of the OutSampleRate parameter.
- Because the subprocess doesn't handle it the right way (and Valery doesn't want to change it) the 
  transmitted voice packets are now muted in my MITM Proxy (ServerToClient) if the receiving client 
  has switched to QRT.
- The Handling of connection errors (f.e. in case of a wrong servername) has been improved.
- At the special request of one of the beta testers, a SysTray icon with linked context menu
  and tooltip has beeen implemented now.
- Mention of the most active beta testers on the "About" tab.


Release 2018.07.09.1554: (V 0.19)
- At the suggestion of a beta tester, the field length of the SampleRate parameters was increased by one
  digit and the internal default values of the parameters InPreCapturedTime, CTCSSWakeTime, 
  CarrierCatchTime and CarrierLostTime were changed. (deactivated, because for PC_Only clients unnecessary)
- The problem with umlauts / special characters in the name of the audio interfaces has been solved.


Release 2018.07.07.1708: (V 0.18)
No functional changes. Only the tab "About" with some information about the program and the authors
has been added.


Release 2018.07.01.1508: (V 0.17)
- Removal of no longer needed library jar files.
- Source code refactoring and bytecode optimizing.


Release 2018.06.29.1642: (V 0.16)
- On the "Settings" tab next to the configuration fields "Sound Courtesy", "Sound Roger" and "Hours Dir" 
  corresponding buttons and dialog windows for selecting the desired file respectively the desired directory
  have been added.
- The approach concerning the executable FRN_Client Starter file and the separate FRN_Client JAR file has 
  been changed again !
  For both operating system platforms - Microsoft Windows and Linux - a suitable executable Java Wrapper
  file will now be delivered, which already contains the corresponding current FRN_Client JAR file.
  The FRN_Client JAR file is no longer delivered separately. Possibly remaining FRN_Client JAR Files
  (from previous releases) should be deleted!
  Therefore, the classic java program call via command line using "java -jar FRN_Client.jar ..." can now 
  also be omitted on Linux platforms.
  The Java wrapper for Microsoft Windows operating systems is the file "FRN_Client.exe" -- the Java wrapper
  for Linux operating systems is the file "FRN_Client.run".
  On Linux only the executable flag of "FRN_Client.run" has to be set after the initial installation.
  This can be done with the shell script make_executable.sh, which has to be called on the terminal 
  commandline as follows: 
  sudo /bin/sh ./make_executable.sh


Release 2018.06.27.1548: (V 0.15)
In the table display of the FRN textmessages, the auto resize (height/width) of the "Message" column 
has been revised and improved.


Release 2018.06.26.1426: (V 0.14)
- The commandline options
  "-lp {filepath of the log4j.xml file}"
  and "-cp {filepath of the client.properties file}" 
  are no longer absolutely required, because they are now initialized with an internal default value.
- Further improvements of the dynamic application window, so that SplitPane dividers can be used even with
  very small screen resolutions.
- A minor bugfix regarding the disabling and enabling of the PTT button. The PTT button was wrongly reenabled
  even in QRT/QRL mode after receiving a voice transmission.
- After receiving a voice transmission, the shortcut key binding of the PTT button is no longer activated
  immediately, but with an 1 second delay. This makes the pressing of the PTT shortcut key - even before the
  reception of a running voice transmission is completed - practically ineffective ...
- The FRN_Client EXE file now only contains the starter for the Java program on Microsoft Windows platforms.
  The EXE file is no longer bundled with the FRN_Client JAR file. Future updates will usually not change
  the exe file, but only the JAR file.


Release 2018.06.18.1925: (V 0.13)
Small bugfix regarding the recent change in the previous release. The "JClnt.EnableMicAudioLevelDisplay" 
option was not saved correctly in the cfg file due to a typing error in the section name.


Release 2018.06.18.1642: (V 0.12)
Because the microphone level display in Java FRN_Client does not work on Linux without more ado (adjustments
in asound.conf), the display is now switched off by default. To activate this mic level indicator, the 
check mark "enable mic audio level display on main tab" must be set under "Settings".


Release 2018.06.17.1924: (V 0.11)
- Microphone level now also displayed on the main tab!
- Long overdue corrections in the dynamic layout of the both tabbed panes "Mute/Block List" and "Admin/Access List".
- Changed foreground and background colors of both status lines to improve readability in combination with 
  red or green background.


Release 2018.06.16.0425: (V 0.10)
- Improvements in the MitmFromServerToClient class regarding the detection of EOF.
- The "Clear" function has been added to the context menu of the TextMessage table.
- A context menu with the "Clear" function has been added to the EventLog table.
- Added some "salt" to the configurable scramble key.


Release 2018.06.13.2038: (V 0.09)
A Trial implementation of a voice scrambling function.
It only works between Java FRN_Client programs beginning with this release.
The scrambling is done with a configurable key, which must be set identically for all Java FRN_Clients involved.
To be able to use this program feature, it must at first be activated via client.properties file.
Please contact me if you are interested.


Release 2018.06.11.2146: (V 0.08)
- The problem with German umlauts (ÄÖÜäöü ...) when sending FRN textmessages with the Java FRN_Client program
  on operating systems other than Microsoft Windows has been fixed.
- The "Settings" tab now also displays an info about the default charset.
- The context menu of the textmessage field is no longer displayed if the field is disabled.


Release 2018.06.11.1520: (V 0.07)
- Because, contrary to expectations, the FRN EmotionIcons apparently cannot be displayed identically on
  all operating system platforms using Unicode characters, their visualization has been completely revised
  by using icon images files now.
- Intensiv source code refactoring regarding all used icon image resources.
- In the settings the selection of the SystemManager server address has been added!
  The default value is of course: sysman.freeradionetwork.de -- The Alternate FRN SystemManager Server.


Release 2018.06.10.1832: (V 0.06)
- Important bugfix regarding the loading of configuration settings in connection with empty description 
  fields. Due to an unexpected exception, certain subsequent program lines were not executed, which led to
  strange effects.
- Refactoring of the module for sending FRN messages. Completion of the implementation regarding the display
  of HTTP(S) links and images links. The context menu on the Textmessage field has been extended by several
  menu items and corresponding procedures to support in addition to setting certain font styles also the 
  insertion of links and emotion icons.


Release 2018.06.08.1532: (V 0.05)
- Small bugfix regarding access rights to Admin- and AccessList functions (A possible NETOWNER Status 
  of the user was not considered correctly in all affected constellations).
- The Starting/stopping of the subprocess and the respective parsers were made more robust and provided
  with additional logging.
- Dynamic layout of SplitPane panels have been revised again.


Release 2018.06.07.1626: (V 0.04)
- One minor BugFix and some improvements of the GUI regarding the sending of private FRN textmessages
- panelNorth and panelSouth of the splitPaneVert (right side of splitPaneHoriz) completely reworked in
  order to display a narrow digital clock in vertical orientation
- Scheduled TimerTask implemented for the display of an accurate-to-second clock
- Tooltip Popup on message textfield regarding some html codes


Release 2018.06.04.0248: (V 0.03)
- German hours sound files (created by Heiko, DAD379) have been added. The HoursDirectory is "hours/de".
- The release info is now automatically added to the client description.
- Some logger entries have been changed.
- A workAround has been found for the issue with the too small font scaling of Java 8 on 4K (HiDPI) displays.
  Therefore the previous fixed font size has been removed and the whole gui layout has been adapted again.
  Beside other things also the Table Cell Renderers, which display the different FRN symbols.


Release 2018.05.27.1452: (V 0.02)
At the special request of a beta tester, the time announcement function has been made available.
In this context, the Settings Panel has also been equipped with scrollbars. For users, who only have a small
screen resolution. I was actually of the opinion that 4K screen resolution is standard today. ;-)


Release 2018.04.30.1834: (V 0.01)
First official Beta Release